<?php declare(strict_types=1);

namespace Plugin\PunchCommerce;

require_once __DIR__ . '/vendor/autoload.php';

use JTL\Events\Dispatcher;
use JTL\Plugin\Bootstrapper;
use Plugin\PunchCommerce\src\BasketHookHandler;

class Bootstrap extends Bootstrapper
{
    public function boot(Dispatcher $dispatcher)
    {
        $handler = new BasketHookHandler($this->getPlugin());
        $dispatcher->listen('shop.hook.' . \HOOK_WARENKORB_PAGE, $handler, 10);

        parent::boot($dispatcher);
    }
}
